## kdav 19.12.3

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkdav\")
include_directories(
   common/
   protocols/
)

########### next target ###############

set(libkdav_SRCS
 common/davjobbase.cpp
 common/davcollection.cpp
 common/davcollectiondeletejob.cpp
 common/davcollectionsfetchjob.cpp
 common/davcollectionmodifyjob.cpp
 common/davcollectionsmultifetchjob.cpp
 common/davprotocolbase.cpp
 common/daverror.cpp
 common/davitem.cpp
 common/davitemcreatejob.cpp
 common/davitemdeletejob.cpp
 common/davitemfetchjob.cpp
 common/davitemmodifyjob.cpp
 common/davitemsfetchjob.cpp
 common/davitemslistjob.cpp
 common/davmanager.cpp
 common/davmultigetprotocol.cpp
 common/davprincipalhomesetsfetchjob.cpp
 common/davprincipalsearchjob.cpp
 common/protocolinfo.cpp
 common/davurl.cpp
 common/utils.cpp
 common/etagcache.cpp

 protocols/groupdavprotocol.cpp

 #KContacts
 protocols/carddavprotocol.cpp

 #KCalCore
 protocols/caldavprotocol.cpp
)


ecm_generate_headers(KDAV_Camelcase_HEADERS
    HEADER_NAMES
    DavJobBase
    DavCollection
    DavCollectionDeleteJob
    DavCollectionsFetchJob
    DavCollectionModifyJob
    DavCollectionsMultiFetchJob
    DavError
    DavItem
    DavItemCreateJob
    DavItemDeleteJob
    DavItemFetchJob
    DavItemModifyJob
    DavItemsFetchJob
    DavItemsListJob
    DavPrincipalHomesetsFetchJob
    DavPrincipalSearchJob
    DavUrl
    Enums
    EtagCache
    ProtocolInfo
    REQUIRED_HEADERS KDAV_HEADERS
    PREFIX KDAV
    RELATIVE common
    )

install(FILES
    ${KDAV_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KDAV
    COMPONENT Devel
    )

install(FILES
    ${KDAV_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpimkdav_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/kdav
    COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME kdav
    LIB_NAME KPimKDAV
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KDAV
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
    )

ecm_qt_declare_logging_category(libkdav_SRCS HEADER libkdav_debug.h IDENTIFIER KDAV_LOG CATEGORY_NAME org.kde.pim.kdav)

add_library(KPimKDAV
   ${libkdav_SRCS}
   )

generate_export_header(KPimKDAV BASE_NAME kpimkdav)

add_library(KPim::KDAV ALIAS KPimKDAV)

target_link_libraries(KPimKDAV
PUBLIC
    KF5::CoreAddons
PRIVATE
    Qt5::Xml
    Qt5::Gui
    Qt5::XmlPatterns
    KF5::KIOCore
    KF5::I18n
    )

set_target_properties(KPimKDAV PROPERTIES
    VERSION ${KDAV_VERSION_STRING}
    SOVERSION ${KDAV_SOVERSION}
    EXPORT_NAME KDAV
    )

install(TARGETS
    KPimKDAV
    EXPORT KPimKDAVTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    ${LIBRARY_NAMELINK}
    )

target_include_directories(KPimKDAV INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KDAV/;${KDE_INSTALL_INCLUDEDIR}/KPim/kdav;${KDE_INSTALL_INCLUDEDIR}/KPim>")

=== debian/control ===
Source: kdav
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.23.0~),
               libkf5coreaddons-dev,
               libkf5kio-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav
Vcs-Git: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdav

Package: libkpimkdav-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: DAV protocol implementation with KJobs - data files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkpimkdav-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev,
         libkpimkdav5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs - developer files
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.

Package: libkpimkdav5abi2
X-Debian-ABI: 2
X-CMake-Target: KPimKDAV
Architecture: any
Multi-Arch: same
Depends: libkpimkdav-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: DAV protocol implementation with KJobs
 A DAV protocol implementation with KJobs.
 .
 This package is part of the KDE PIM module.
